Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos.describesensor
Class SensorMetadata

    java.lang.Object
      org.deegree.ogcwebservices.sos.ComponentMetadata
          org.deegree.ogcwebservices.sos.describesensor.SensorMetadata

    public class SensorMetadata

extends ComponentMetadata

represents the metadata of a single sensor

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Matthias Kulbe , last edited by: $Author: mschneider $

Constructor Summary
`SensorMetadata(Identifier[] identifiedAs, Classifier[] classifiedAs, EngineeringCRS hasCRS, LocationModel[] locatedUsing, ComponentDescription describedBy, String attachedTo, Product[] measures)` constructor

Method Summary
`Product[]` | `getMeasures()`

Methods inherited from class org.deegree.ogcwebservices.sos.ComponentMetadata
`getAttachedTo, getClassifiedAs, getDescribedBy, getHasCRS, getIdentifiedAs, getLocatedUsing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SensorMetadata

    public SensorMetadata(Identifier[] identifiedAs,
                          Classifier[] classifiedAs,
                          EngineeringCRS hasCRS,
                          LocationModel[] locatedUsing,
                          ComponentDescription describedBy,
                          String attachedTo,
                          Product[] measures)

  constructor

  Parameters:
    `identifiedAs` -
    `classifiedAs` -
    `hasCRS` -
    `locatedUsing` -
    `describedBy` -
    `attachedTo` -
    `measures` -

Method Detail

### getMeasures

    public Product[] getMeasures()

  Returns:
    measures

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org